<script setup lang="ts">
defineProps<{
	id: number;
}>();

defineEmits<{
	click: [arg: number];
}>();
</script>

<template>
	<button @click="$emit('click', id)">id: {{ id }}</button>
</template>

<style scoped></style>
